namespace MaszynaTuringa
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Turing t = Turing.Load("taśma.txt", "program.txt");
            t.PolecenieWykonane += polecenieWykonane;
            t.WykonajProgram();
            t.ZapiszStanMaszyny("wynik.txt");
        }

        private static void polecenieWykonane(object? sender, Turing.PolecenieWykonaneEventArgs e)
        {
            //Console.WriteLine($"stan głowicy: {e.StanGłowicy}, pozycja głowicy: {e.PołożenieGłowicy}, taśma: {e.TaśmaAsString}");            
            Console.WriteLine(e);
        }
    }
}
